<?php
session_start();
ob_start();
include "dbPDO.php";
$father     = $_SESSION["user_id"] ;
$b_name      = $_POST['b_name'];
$b_boss      =$_POST['b_boss'];
$phone       =$_POST['phone'];
$phone2      = $_POST['phone2'];
$b_boss2     = $_POST['b_boss2'];
$phoneB2     = $_POST['phoneB2'];
$location    = $_POST['location'];
$start_date  = $_POST['start_date'];
$comm        = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;

if(empty($b_name) || empty($b_boss)|| empty($phone))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك سجل اسم الفرع و المدير و جوال المدير علي الأقل حتي يتم تسجيل الفرع ...</b>
        </div>
  ";
  exit();
}else{
  if(!empty($b_name)){ $b_name = htmlspecialchars(strip_tags($b_name)) ;   }
  if(!empty($b_boss)){ $b_boss = htmlspecialchars(strip_tags($b_boss)) ;   }
  
  if(!preg_match($Number,$phone)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b> تأكد من الرقم !! $phone رقم جوال المدير  أرقام فقط</b>
    </div>
    ";
    exit();
  }
  if((strlen($phone) < 10)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b> رقم جول المدير اقل من 10 أرقام من فضلك تأكد من الرقم الصحيح ..<b>
    </div>
    ";
    exit();
  }
  if((strlen($phone) > 10)){
    echo "
    <div class='alert alert-warning'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>رقم جوال المدير أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
    </div>
    ";
    exit();
  }
  }
  if(!empty($phone2)){
      if(!preg_match($Number,$phone2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> تأكد من الرقم !! $phone2 رقم جوال2 للمدير  أرقام فقط</b>
        </div>
      ";
        exit();
      }
      if((strlen($phone2) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> رقم جوال2 للمدير اقل من 10 أرقام من فضلك تأكد من الرقم الصحيح ..<b>
        </div>
        ";
        exit();
      }
      if((strlen($phone2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم جوال2 للمدير أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
  }
  if(!empty($b_boss2)){ $b_boss2 = htmlspecialchars(strip_tags($b_boss2)) ;   }
  if(!empty($phoneB2)){
      if(!preg_match($Number,$phoneB2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $phoneB2 رقم جوال  نائب المدير أرقام فقط تأكد من الرقم</b>
        </div>
      ";
        exit();
      }
      if((strlen($phoneB2) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b> رقم جوال النائب أقل من 10 أرقام من فضلك تأكد من الرقم </b>
        </div>
        ";
        exit();
      }
      if((strlen($phoneB2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
  if(!empty($location)){ $location = htmlspecialchars(strip_tags($location)) ;   }
  if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }
// existing idCrad or phone number in your database
$sql =$db->prepare("SELECT branchID , b_name , b_boss , phone FROM branches WHERE b_name = ? OR phone = ? LIMIT 1");
$sql->bindParam(1,$b_name);
$sql->bindParam(2,$phone);
$sql->execute();
  if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $branchID  = $row["branchID"];
      $b_name    = $row["b_name"];
      $b_boss    = $row["b_boss"];
      $phone     = $row["phone"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات $b_name  من قبل كود رقم $branchID واسم مدير الفرع $b_boss رقم  الجوال $phone</b>
  </div>
  ";
  exit();
}else {
  $maxsql= $db->prepare("SELECT max(branchID) as maxd FROM branches");
  $maxsql->execute();
  if($maxsql->rowCount()>0){$row = $maxsql->fetch(PDO::FETCH_ASSOC);
      $maxD = $row['maxd']+1;} else {$maxD = 1 ; }

  $sql = $db->prepare(" INSERT INTO branches
  (branchID, b_name, b_boss, phone, phone2, b_boss2,phoneB2, location,start_date,comm,father)
   VALUES (?, ?, ?, ?, ?, ?,?,?, ?, ?,?)");
   $sql->bindParam(1,$maxD);
   $sql->bindParam(2,$b_name);
   $sql->bindParam(3,$b_boss);
   $sql->bindParam(4,$phone);
   $sql->bindParam(5,$phone2);
   $sql->bindParam(6,$b_boss2);
   $sql->bindParam(7,$phoneB2);
   $sql->bindParam(8,$location);
   $sql->bindParam(9,$start_date);
   $sql->bindParam(10,$comm);
   $sql->bindParam(11,$father);
   if($sql->execute()){
echo "
    <div class='alert alert-success'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>تم تسجيل الفرع بنجاح</b>
    </div>
    <script>document.getElementById('new22').reset(); </script>
    ";}
  else{ echo "<div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
  </div>
  ";}
}
?>
